Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol
Class RetrieveRemoteDescriptors

    java.lang.Object
      org.teleal.cling.protocol.RetrieveRemoteDescriptors

All Implemented Interfaces:
  Runnable

    public class RetrieveRemoteDescriptors

extends Object
implements Runnable

Constructor Summary
`RetrieveRemoteDescriptors(UpnpService upnpService, RemoteDevice rd)`

Method Summary
`protected void` | `describe()`
`protected void` | `describe(String descriptorXML)`
`protected RemoteDevice` | `describeServicesRecursive(RemoteDevice rootDevice, RemoteDevice currentDevice)`
`UpnpService` | `getUpnpService()`
`protected DeviceService` | `readServiceDescriptor(RemoteDevice device, DeviceService deviceService)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrieveRemoteDescriptors

    public RetrieveRemoteDescriptors(UpnpService upnpService,
                                     RemoteDevice rd)

Method Detail

### getUpnpService

    public UpnpService getUpnpService()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### describe

    protected void describe()

### describe

    protected void describe(String descriptorXML)

### describeServicesRecursive

    protected RemoteDevice describeServicesRecursive(RemoteDevice rootDevice,
                                                     RemoteDevice currentDevice)
                                              throws DescriptorBindingException,
                                                     ValidationException

  Throws:
    `DescriptorBindingException`
    `ValidationException`

### readServiceDescriptor

    protected DeviceService readServiceDescriptor(RemoteDevice device,
                                                  DeviceService deviceService)
                                           throws DescriptorBindingException,
                                                  ValidationException

  Throws:
    `DescriptorBindingException`
    `ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.